#
#       Makefile for grph1/append
#

ROOTDIR = ../../..

LIBOBJS		= umpk01.exe umpk03.exe umpk04.exe umpk05.exe
EPSFILES	= umpk01_0001.eps umpk01_0002.eps umpk01_0003.eps \
		  umpk03_0001.eps umpk04_0001.eps umpk05_0001.eps

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win  subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

umpk01_0001.eps:
	echo 2 | umpk01.exe -sw_ifl=2 -sw_fname=umpk01

umpk01_0002.eps: umpk01_0001.eps

umpk01_0003.eps: umpk01_0001.eps

umpk03_0001.eps:
	echo 2 | umpk03.exe -sw_ifl=2 -sw_fname=umpk03

umpk04_0001.eps:
	echo 2 | umpk04.exe -sw_ifl=2 -sw_fname=umpk04

umpk05_0001.eps:
	echo 2 | umpk05.exe -sw_ifl=2 -sw_fname=umpk05
